<VirtualHost *:80>
	# The ServerName directive sets the request scheme, hostname and port that
	# the server uses to identify itself. This is used when creating
	# redirection URLs. In the context of virtual hosts, the ServerName
	# specifies what hostname must appear in the request's Host: header to
	# match this virtual host. For the default virtual host (this file) this
	# value is not decisive as it is used as a last resort host regardless.
	# However, you must set it for any further virtual host explicitly.
	ServerName ai.fastistsolutions.co.uk

	ServerAdmin beastyjoe4k@gmail.com
	DocumentRoot /var/www/html

	# Available loglevels: trace8, ..., trace1, debug, info, notice, warn,
	# error, crit, alert, emerg.
	# It is also possible to configure the loglevel for particular
	# modules, e.g.
	#LogLevel info ssl:warn
    ProxyPass "/" "http://192.168.1.100:42002/"
    ProxyPassReverse "/" "http://192.168.1.100:42002/"

    ProxyPreserveHost On
	ErrorLog ${APACHE_LOG_DIR}/error.log
	CustomLog ${APACHE_LOG_DIR}/access.log combined

	# For most configuration files from conf-available/, which are
	# enabled or disabled at a global level, it is possible to
	# include a line for only one particular virtual host. For example the
	# following line enables the CGI configuration for this host only
	# after it has been globally disabled with "a2disconf".
	#Include conf-available/serve-cgi-bin.conf
</VirtualHost>
# vim: syntax=apache ts=4 sw=4 sts=4 sr noet
<VirtualHost *:80>
    ServerName fastistsolutions.co.uk
    DocumentRoot /var/www/html/
</VirtualHost>



<VirtualHost *:80>
    ServerName apps.fastistsolutions.co.uk
    DocumentRoot /mnt/share/
  <Directory /mnt/share>
        Options Indexes FollowSymLinks
        AllowOverride All
        Require all granted
    </Directory>
</VirtualHost>


<VirtualHost *:80>
    ServerName voiceai.fastistsolutions.co.uk
    DocumentRoot /var/www/html/voice/
        ProxyPass "/" "http://192.168.1.100:7865/"
    ProxyPassReverse "/" "http://192.168.1.100:7865/"

    ProxyPreserveHost On
</VirtualHost>

<VirtualHost *:80>
    ServerName flux.fastistsolutions.co.uk
    DocumentRoot /var/www/html/flux/
        ProxyPass "/" "http://192.168.1.100:7861/"
    ProxyPassReverse "/" "http://192.168.1.100:7861/"

    ProxyPreserveHost On

</VirtualHost>

<VirtualHost *:80>
    ServerName mediarequests.fastistsolutions.co.uk
    DocumentRoot /var/www/html/mediar/
        ProxyPass "/" "http://192.168.1.18:7080/"
    ProxyPassReverse "/" "http://192.168.1.18:7080/"

    ProxyPreserveHost On
</VirtualHost>


<VirtualHost *:80>
    ServerName stream.fastistsolutions.co.uk
    DocumentRoot /var/www/html/stream/
        ProxyPass "/" "http://192.168.1.18:9001/"
    ProxyPassReverse "/" "http://192.168.1.18:9001/"

    ProxyPreserveHost On
</VirtualHost>
